import { Configuration } from "@azure/msal-browser";
import { BBRIApplicationConfiguration } from "./BBRIApplicationConfiguration";
export declare class BBRIApplication {
    private _configuration;
    /**
     * @constructor
     * Constructor for the BBRIApplication used to instantiate the BBRIApplication object.
     *
     * @param configuration object for the BBRI Application instance
     */
    constructor(configuration: BBRIApplicationConfiguration);
    get msalConfiguration(): Configuration;
    get language(): string;
    get scopes(): Array<string>;
    get authority(): string;
    get feedbackEndpoint(): string;
    get applications(): string;
    get about(): string;
    get help(): string;
    get privacy(): string;
    get disclaimer(): string;
}
